Subject: practical maxrto values in TCP for satellite links

From: AL-HUSSEIN ABOU-ZEID <[email-masked]>
Date: Mon, 26 Apr 1999 17:12:03 PDT

Hi,

Almost all TCP versions that I know of implement an exponential backoff
technique where the time-out value (TO) is set to 2,4,8,...up to 64*TO when
consecutive timeouts take place. For slow fading satellite links, this would
prove disasterous for the throughput performance.

Does anybody know if, for satellite links that are actually used, people
still use the default value for maxrto (i.e. maximum value of 64) or is it
now customary to use a lower value (e.g. up to 8*TO). Any papers published in
this issue?

Thanks in advance,

--Hussein.